<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Your Profile</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <link th:href="@{/css/assets/js/plugins/@fortawesome/fontawesome-free/css/all.min.css}" rel="stylesheet" />
    <style type="text/css">
        body{
            background-color: #589cdb;
        }
        .margin-row{
            margin-top: 50px;
            margin-bottom: 50px;
        }
        .card-style{
            background-color: white;
            border-radius: 10px;
        }
        .color-header{
            background-color: #f5f0e1;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }
        .profile-picture{
            width: 120px;
            height: 120px;
        }
        .btn-arrow-back{
            background-color: #ff6e40;
            border: none;
            border-radius: 14px;
            color: white;
            padding: 10px;
            font-size: 13px;
            text-decoration: none;
        }
        .txt-warning{
            font-size: 12px;
            color: red;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="row margin-row">
        <div class="col-md-3 col-xs-12" style="margin-top: 5px; margin-bottom: 5px;">
            <div class="card-style">
                <div class="card-body color-header">
                    <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                        <div class="col-md-12 col-xs-12 text-center">
                            <img th:if="${mhsw.foto != null}" th:src="@{/upload/{foto}/mahasiswa/(foto=${mhsw.id})}"  class="profile-picture">
                            <img th:if="${mhsw.foto == null}"  th:src="@{/img/profile.png}"  class="profile-picture">
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="col-md-12 col-xs-12">
                        <b class="card-title" style="color: #1e3d59;">Nim</b>
                        <p th:text="${mahasiswa.nim}"></p>
                        <b class="card-title" style="color: #1e3d59;">Nama</b>
                        <p th:text="${mahasiswa.nama}"></p>
                        <b class="card-title" style="color: #1e3d59;">Prodi</b>
                        <p th:text="${mahasiswa.idProdi.namaProdi}"></p>
                        <b class="card-title" style="color: #1e3d59;">Dosen Wali</b>
                        <p th:text="${mahasiswa.dosenWali}"></p>
                        <hr>
                        <center>
                            <b class="card-title" style="color: #1e3d59;">Wifi Account</b>
                        </center>
                        <div class="row">
                            <div class="col-md-6">
                                <b class="card-title" style="color: #1e3d59;">User</b>
                                <p th:text="${mahasiswa.nim}"></p>
                            </div>
                            <div class="col-md-6">
                                <b class="card-title" style="color: #1e3d59;">Password</b>
                                <p th:text="${mahasiswa.absen}"></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12 col-xs-12">

                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-9 col-xs-12" style="margin-top: 5px; margin-bottom: 5px;">
            <div class="card-style">
                <div class="card-body color-header">
                    <div class="row">
                        <div class="col-md-6 col-xs-12">
                            <h5>Personal Data</h5>
                            <p class="txt-warning" style="font-size: 15px;">Perbaiki dan lengkapi Data yang masih kosong !!!</p>
                        </div>
                    </div>
                </div>
                <form th:action="@{/user/profile}" name="myForm" method="post" onsubmit="return validateForm()" th:object="${mahasiswa}" enctype="multipart/form-data">
                    <div class="card-body">
                        <!-- Nav tabs -->
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Nama <span class="txt-warning">* Fill in the name according to the last certificate (Ijazah Akhir)</span></label>
                                    <input type="text" required name="nama" th:field="*{nama}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>NIM</label>
                                    <input type="text" disabled name="nim" th:field="*{nim}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Agama</label>
                                    <select class="form-control" required style="width: 100%;" id="selectReligion" th:field="*{agama}">
                                        <option value=""></option>
                                        <option th:each="data : ${agama}"
                                                th:text="${data.agama}"
                                                th:value="${data.idAgama}">Islam</option>
                                    </select>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Tempat Lahir <span class="txt-warning">* Fill in the name according to the last certificate (Ijazah Akhir)</span></label>
                                    <input type="text" required name="lahir" th:field="*{tempat}"  class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Tanggal Lahir <span class="txt-warning">* Fill in the name according to the last certificate (Ijazah Akhir)</span></label>
                                    <input type="date" required name="tanggalLahir" th:field="*{tanggalLahir}" class="form-control" data-mask="99/99/9999" placeholder="dd/mm/yyyy">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Ukuran Toga</label>
                                    <select class="form-control" required style="width: 100%;" id="select2" name="toga" th:field="*{ukuranBaju}">
                                        <option value=""></option>
                                        <option value="S">S</option>
                                        <option value="M">M</option>
                                        <option value="L">L</option>
                                        <option value="XL">XL</option>
                                        <option value="XXL">XXL</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>NIK </label>
                                    <input type="text" name="nik" required th:field="*{nik}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>NISN</label>
                                    <input type="text" name="nisn" required th:field="*{nisn}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Kewarganegaraan</label>
                                    <select class="form-control" required name="wargaNegara" id="kewarganegaraan" onchange="kewarganegaraanCheck()" th:field="*{kewarganegaraan}">
                                        <option value=""></option>
                                        <option id="WNI" value="WNI">WNI</option>
                                        <option id="WNA" value="WNA">WNA</option>
                                    </select>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Transportasi</label>
                                    <select class="form-control" required name="trasportasi" th:field="*{alatTransportasi}">
                                        <option value=""></option>
                                        <option th:each="transport : ${transportasi}"
                                                th:text="${transport.nama}"
                                                th:value="${transport.id}">Mobil</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Telepon Rumah</label>
                                    <input maxlength="13" required minlength="5" oninput="this.value=this.value.replace(/[^0-9]/g,'');" id="myId" name="teleponRumah" th:field="*{teleponRumah}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Telepon Seluler</label>
                                    <input maxlength="13" required minlength="11" oninput="this.value=this.value.replace(/[^0-9]/g,'');" id="myId" name="teleponSeluler" th:field="*{teleponSeluler}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Email Pribadi <span style="color: red; font-size: 10px;"></span></label>
                                    <input type="email" required name="email" th:field="*{emailPribadi}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Email Tazkia</label>
                                    <input type="email" readonly name="emailTazkia" th:field="*{emailTazkia}" class="form-control">
                                </div>
                            </div>
                        </div>



                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-12 col-xs-12">
                                    <label>Country</label>
                                    <input type="text" id="indonesia" required name="negara" value="Indonesia" readonly class="form-control">
                                    <input type="text" id="otherCountry" name="negara" style="display: none;" th:field="*{idNegara}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group" id="divProv">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Provinsi</label>
                                    <select  class="form-control" name="idProvinsi" style="width: 100%;" id="select-provinsi" required onchange="getProvinsi()">
                                    </select>
                                    <input type="hidden" id="provinsi" th:field="*{provinsi}">
                                    <input type="hidden" id="idProvinsi" th:field="*{idProvinsi}">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Kabupaten / Kota</label>
                                    <select class="form-control" name="idKotaKabupaten" style="width: 100%;" required id="selectKota" onchange="getKabupaten()">
                                    </select>
                                    <input type="hidden" id="kotaKabupaten" th:field="*{kotaKabupaten}">
                                    <input type="hidden" id="idKotaKabupaten" th:field="*{idKotaKabupaten}">
                                </div>
                            </div>
                        </div>
                        <div class="form-group" id="divKecamatan">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Kecamatan</label>
                                    <select class="form-control" style="width: 100%;" name="idKecamatan" required id="selectKecamatan" onchange="getDesa()">
                                    </select>
                                    <input type="hidden" id="kecamatan" th:field="*{kecamatan}">
                                    <input type="hidden" id="idKecamatan" th:field="*{idKecamatan}">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Desa</label>
                                    <select class="form-control" required style="width: 100%;" name="idKelurahan" id="selectDesa">
                                    </select>
                                    <input type="hidden" id="kelurahan" th:field="*{kelurahan}">
                                    <input type="hidden" id="idKelurahan" th:field="*{idKelurahan}">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-12 col-xs-12">
                                    <label>Alamat</label>
                                    <input type="text" id="alamat" required minlength="10" class="form-control" name="namaJalan" th:field="*{namaJalan}">
                                    <input type="hidden" name="id" th:field="*{id}">
                                    <input type="hidden" name="idUser" th:field="*{idUser}">
                                    <input type="hidden" name="ayah" th:field="*{ayah}">
                                    <input type="hidden" name="ibu" th:field="*{ibu}">
                                    <input type="hidden" name="wali" th:field="*{wali}">
                                    <input type="hidden" name="rfid" th:field="*{rfid}">

                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Rt</label>
                                    <input th:field="*{rt}" type="text" required class="form-control" name="rt">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Rw</label>
                                    <input type="text" th:field="*{rw}" required class="form-control" name="rw">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>NIK Ayah</label>
                                    <input type="text" name="nikAyah" required th:field="*{nikAyah}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Nama Ayah</label>
                                    <input type="text" required name="ayah" th:field="*{namaAyah}" class="form-control">

                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Jenjang Pendidikan</label>
                                    <select class="form-control" required name="pendidikanAyah" th:field="*{idJenjangPendidikan}">
                                        <option th:each="data : ${pendidikan}"
                                                th:text="${data.nama}"
                                                th:value="${data.id}">
                                        </option>
                                    </select>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Tempat Lahir</label>
                                    <input type="text" required name="lahirAyah" th:field="*{tempatLahirAyah}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <label>Email Ayah <span style="color: red; font-size: 10px;">ex : test@gmail.com</span></label>
                                    <input type="email" name="emailAyah" th:field="*{emailAyah}" class="form-control" required>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Nomor Ayah</label>
                                    <input type="text"  name="nomorAyah" th:field="*{nomorAyah}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Tanggal Lahir</label>
                                    <input type="date" required name="tanggalLahirAyah" th:field="*{tanggalLahirAyah}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Pekerjaan</label>
                                    <select class="form-control" required name="pekerjaanAyah" th:field="*{idPekerjaan}">
                                        <option th:each="data : ${pekerjaan}"
                                                th:text="${data.nama}"
                                                th:value="${data.id}">
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Penghasilan</label>
                                    <select class="form-control" required name="penghasilanAyah" th:field="*{penghasilan}">
                                        <option value="Tidak Berkerja">Tidak Berkerja</option>
                                        <option th:each="data : ${penghasilan}"
                                                th:text="${data.nama}"
                                                th:value="${data.id}">
                                        </option>
                                    </select>

                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Agama</label>
                                    <select class="form-control" required name="agamaAyah" th:field="*{agama}">
                                        <option th:each="data : ${agama}"
                                                th:value="${data.idAgama}"
                                                th:text="${data.agama}">
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Status Hidup</label>
                                    <select class="form-control" required name="statusAyah" th:field="*{hidup}">
                                        <option value="H">Hidup</option>
                                        <option value="M">Meninggal</option>
                                    </select>


                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Kebutuhan Khusus</label>
                                    <select class="form-control" name="kebutuhanAyah" required th:field="*{kebutuhanKhusus}">
                                        <option value="Tidak Ada">Tidak Ada</option>
                                        <option th:each="data : ${kebutuhan}"
                                                th:text="${data.kode + '  -  ' + data.nama}"
                                                th:value="${data.id}"></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>NIK Ibu</label>
                                    <input type="text" required name="nikIbu"  th:field="*{nikIbu}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Nama Ibu</label>
                                    <input type="text" name="ibu" required th:field="*{namaIbuKandung}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Jenjang Pendidikan</label>
                                    <select class="form-control" required name="pendidikanIbu" th:field="*{idJenjangPendidikanIbu}">
                                        <option value=""></option>
                                        <option th:each="data : ${pendidikan}"
                                                th:text="${data.nama}"
                                                th:value="${data.id}">
                                        </option>
                                    </select>

                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Tempat Lahir</label>
                                    <input type="text" name="lahirIbu" required th:field="*{tempatLahirIbu}" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Tanggal Lahir</label>
                                    <input type="date" name="tanggalLahirIbu" required th:field="*{tanggalLahirIbu}" class="form-control">
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Pekerjaan</label>
                                    <select class="form-control" required name="pekerjaanIbu" th:field="*{idPekerjaanIbu}">
                                        <option th:each="data : ${pekerjaan}"
                                                th:text="${data.nama}"
                                                th:value="${data.id}">
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6 col-xs-12">
                                    <label>Email Ibu <span style="color: red; font-size: 10px;">ex : test@gmail.com</span></label>
                                    <input type="text" name="emailIbu" th:field="*{emailIbu}" class="form-control" required>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Nomor Ibu</label>
                                    <input type="text" name="nomorIbu" th:field="*{nomorIbu}" class="form-control" required>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Penghasilan</label>
                                    <select class="form-control" required name="penghasilanIbu" th:field="*{penghasilanIbu}">
                                        <option value="Tidak Berkerja">Tidak Berkerja</option>
                                        <option th:each="data : ${penghasilan}"
                                                th:text="${data.nama}"
                                                th:value="${data.id}">
                                        </option>
                                    </select>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Agama</label>
                                    <select class="form-control" required name="agamaIbu" th:field="*{agamaIbu}">
                                        <option th:each="data : ${agama}"
                                                th:value="${data.idAgama}"
                                                th:text="${data.agama}">
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-6 col-xs-12">
                                    <label>Status Hidup</label>
                                    <select class="form-control" required name="statusIbu" th:field="*{statusHidupIbu}">
                                        <option value="H">Hidup</option>
                                        <option value="M">Meninggal</option>
                                    </select>
                                </div>
                                <div class="col-md-6 col-xs-12">
                                    <label>Kebutuhan Khusus</label>
                                    <select class="form-control" required name="kebutuhanIbu" th:field="*{kebutuhanKhususIbu}">
                                        <option value="Tidak Ada">Tidak Ada</option>
                                        <option th:each="data : ${kebutuhan}"
                                                th:text="${data.kode + '  -  ' + data.nama}"
                                                th:value="${data.id}"></option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <input th:if="${type != null}" type="hidden" name="type" th:value="${type}">
                        <input type="hidden" id="fileIjazah" th:field="*{fileIjazah}">
                        <input type="hidden" id="fileKtp" th:field="*{fileKtp}">
                        <input type="hidden" id="fileFoto" th:field="*{foto}">

                        <div class="form-group" id="div-ktp">
                            <div class="row" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class="col-md-12 col-xs-12">
                                    <label>Upload KTP</label>
                                    <input type="file" id="file" name="file" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group" id="div-ijazah">
                            <div class="row" style="margin-top: 12px; margin-bottom: 12px;">
                                <div class="col-md-12 col-xs-12">
                                    <label>Upload Ijazah</label>
                                    <input type="file" id="ijazah" name="ijazah" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="form-group" id="div-foto">
                            <div class="row" style="margin-top: 12px; margin-bottom: 12px;">
                                <div class="col-md-12 col-xs-12">
                                    <label>Upload Foto Mahasiswa</label>
                                    <input type="file" id="foto" name="foto" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="card-body">
                        <input class="btn btn-primary" type="submit" value="Submit">
                        <a th:href="@{/dashboard}" class="btn btn-danger">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>

    $(document).ready(function() {
        if($('#kewarganegaraan').val() == "WNI"){
            document.getElementById("indonesia").style.display = "block";
            document.getElementById("otherCountry").style.display = "none";
            document.getElementById("divProv").style.display = "block";
            document.getElementById("divKecamatan").style.display = "block";

        }
        else {
            document.getElementById("indonesia").style.display = "none";
            document.getElementById("otherCountry").style.display = "block";
            document.getElementById("divProv").style.display = "none";
            document.getElementById("divKecamatan").style.display = "none";

        }

        if ($('#fileIjazah').val() != null) {
            var extensionIjazah =  (/[.]/.exec($('#fileIjazah').val())) ? /[^.]+$/.exec($('#fileIjazah').val()) : undefined;
            console.log('ijazah :' + extensionIjazah);
            if (extensionIjazah == undefined){
                document.getElementById('div-ijazah').style.display = 'block';
            }else {
                document.getElementById('div-ijazah').style.display = 'none';
            }
        }else {
            document.getElementById('div-ijazah').style.display = 'block';

        }

        if ($('#fileKtp').val() != null) {
            var extensionKtp = (/[.]/.exec($('#fileKtp').val())) ? /[^.]+$/.exec($('#fileKtp').val()) : undefined;
            console.log('ktp :' +extensionKtp);
            if (extensionKtp == undefined){
                document.getElementById('div-ktp').style.display = 'block';
            }else {
                document.getElementById('div-ktp').style.display = 'none';
            }
        }else {
            document.getElementById('div-ktp').style.display = 'block';
        }

        if ($('#fileFoto').val() != null) {
            var extensionFoto = (/[.]/.exec($('#fileFoto').val())) ? /[^.]+$/.exec($('#fileFoto').val()) : undefined;
            console.log('foto :' +extensionFoto);
            if (extensionFoto == undefined){
                document.getElementById('div-foto').style.display = 'block';
            }else {
                document.getElementById('div-foto').style.display = 'none';
            }
        }else {
            document.getElementById('div-foto').style.display = 'block';
        }

        if ($('#idProvinsi').val() != null){
            $("#select-provinsi").empty().append($('<option></option>').attr('value', $('#idProvinsi').val()).text($('#provinsi').val())).trigger('change');
            if ($('#idKotaKabupaten').val() != null){
                $("#selectKota").empty().append($('<option></option>').attr('value', $('#idKotaKabupaten').val()).text($('#kotaKabupaten').val())).trigger('change');
                getProvinsi()
                if ($('#idKecamatan').val()){
                    $("#selectKecamatan").empty().append($('<option></option>').attr('value', $('#idKecamatan').val()).text($('#kecamatan').val())).trigger('change');
                    getKabupaten()
                    if ($('#idKelurahan').val() != null){
                        $("#selectDesa").empty().append($('<option></option>').attr('value', $('#idKelurahan').val()).text($('#kelurahan').val())).trigger('change');
                        getDesa()
                    }
                }
            }
        }

        $("#select-provinsi").select2(
            {
                placeholder: 'Cari Provinsi',
                minimumInputLength: 3,
                ajax: {
                    url: function (params) {
                        return '/api/provinsi?search=' + params.term;
                    },
                    dataType: 'json',
                    type: "GET",
                    delay: 300,
                    data: function (params) {
                        return {
                            q: params.term
                        };
                    },
                    processResults: function (data) {
                        for(var i = 0; i < data.length; i++){
                            data[i]={id:data[i].id,text:data[i].nama,value:data[i].id}
                        }
                        return {
                            results: data
                        };
                    }
                },

            });
    });

    function getProvinsi(){
        let dropdown = $('#selectKota');

        dropdown.select2(
            {
                placeholder: 'Cari Kabupaten/Kota',
                minimumInputLength: 3,
                ajax: {
                    url: function (params) {
                        return '/api/kabupaten'+'?id='+$('#select-provinsi').val()+'&search=' + params.term;
                    },
                    dataType: 'json',
                    type: "GET",
                    delay: 300,
                    data: function (params) {
                        return {
                            q: params.term
                        };
                    },
                    processResults: function (data) {
                        for(var i = 0; i < data.length; i++){
                            data[i]={id:data[i].id,text:data[i].nama,value:data[i].id}
                        }
                        return {
                            results: data
                        };
                    }
                },

            });
    }
    //
    function getKabupaten(){
        let dropdown = $('#selectKecamatan');

        dropdown.select2(
            {
                placeholder: 'Cari Kecamatan',
                minimumInputLength: 3,
                ajax: {
                    url: function (params) {
                        return '/api/kecamatan'+'?id='+$('#selectKota').val()+'&search=' + params.term;
                    },
                    dataType: 'json',
                    type: "GET",
                    delay: 300,
                    data: function (params) {
                        return {
                            q: params.term
                        };
                    },
                    processResults: function (data) {
                        for(var i = 0; i < data.length; i++){
                            data[i]={id:data[i].id,text:data[i].nama,value:data[i].id}
                        }
                        return {
                            results: data
                        };
                    }
                },

            });
    }
    //
    function getDesa(){
        let dropdown = $('#selectDesa');

        dropdown.select2(
            {
                placeholder: 'Cari Kecamatan',
                minimumInputLength: 3,
                ajax: {
                    url: function (params) {
                        return '/api/desa'+'?id='+$('#selectKecamatan').val()+'&search=' + params.term;
                    },
                    dataType: 'json',
                    type: "GET",
                    delay: 300,
                    data: function (params) {
                        return {
                            q: params.term
                        };
                    },
                    processResults: function (data) {
                        for(var i = 0; i < data.length; i++){
                            data[i]={id:data[i].id,text:data[i].nama,value:data[i].id}
                        }
                        return {
                            results: data
                        };
                    }
                },

            });
    }

    function kewarganegaraanCheck() {


        if($('#kewarganegaraan').val() == "WNI"){
            document.getElementById("indonesia").style.display = "block";
            document.getElementById("otherCountry").style.display = "none";
            document.getElementById("divProv").style.display = "block";
            document.getElementById("divKecamatan").style.display = "block";

        }
        else {
            document.getElementById("indonesia").style.display = "none";
            document.getElementById("otherCountry").style.display = "block";
            document.getElementById("divProv").style.display = "none";
            document.getElementById("divKecamatan").style.display = "none";

        }
    }


    // function validateForm() {
    //     if($('#div-ktp').css('display') === 'block')
    //     {
    //         var ktp = document.forms["myForm"]["file"].value;
    //         if (ktp == "") {
    //             alert("Upload KTP Harus Diisi !!!");
    //             return false;
    //         }
    //     }
    //
    //     if($('#div-ijazah').css('display') === 'block')
    //     {
    //         var ijazah = document.forms["myForm"]["ijazah"].value;
    //         if (ijazah == ""){
    //             alert("Upload Ijazah Harus Diisi !!!");
    //             return false;
    //         }
    //     }
    //
    //     if($('#div-foto').css('display') === 'block')
    //     {
    //         var foto = document.forms["myForm"]["foto"].value;
    //         if (foto == ""){
    //             alert("Upload Foto Harus Diisi !!!");
    //             return false;
    //         }
    //     }
    //
    // }


    var triggerTabList = [].slice.call(document.querySelectorAll('#myTab a'))
    triggerTabList.forEach(function (triggerEl) {
        var tabTrigger = new bootstrap.Tab(triggerEl)

        triggerEl.addEventListener('click', function (event) {
            event.preventDefault()
            tabTrigger.show()
        })
    })
</script>
</html>